uudoc(1)

NAME
uudoc - Estimate file space usage

SYNOPSIS
uudoc [--help] [-a|--all] [--apparent-size] [-B|--block-size] [-b|--bytes] [-c|--total] [-d|--max-depth] [-h|--human-readable] [--inodes] [-k ] [-l|--count-links] [-L|--dereference] [-D|--dereference-args] [-P|--no-dereference] [-m ] [-0|--null] [-S|--separate-dirs] [-s|--summarize] [--si] [-x|--one-file-system] [-t|--threshold] [-v|--verbose] [--exclude] [-X|--exclude-from] [--files0-from] [--time] [--time-style] [-V|--version] [FILE]

DESCRIPTION
Estimate file space usage

OPTIONS

--help
    Print help information.

-a, --all
    write counts for all files, not just directories

--apparent-size
    print apparent sizes, rather than disk usage although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, and the like

-B, --block-size <SIZE>
    scale sizes by SIZE before printing them. E.g., '-BM' prints sizes in units of 1,048,576 bytes. See SIZE format below.

-b, --bytes
    equivalent to '--apparent-size --block-size=1'

-c, --total
    produce a grand total

-d, --max-depth <N>
    print the total for a directory (or file, with --all) only if it is N or fewer levels below the command line argument; --max-depth=0 is the same as --summarize

-h, --human-readable
    print sizes in human readable format (e.g., 1K 234M 2G)

--inodes
    list inode usage information instead of block usage like --block-size=1K

-k  like --block-size=1K

-l, --count-links
    count sizes many times if hard linked

-L, --dereference
    follow all symbolic links

-D, --dereference-args
    follow only symlinks that are listed on the command line

-P, --no-dereference
    don't follow any symbolic links (this is the default)

-m  like --block-size=1M

-0, --null
    end each output line with 0 byte rather than newline

-S, --separate-dirs
    do not include size of subdirectories

-s, --summarize
    display only a total for each argument

--si
    like -h, but use powers of 1000 not 1024

-x, --one-file-system
    skip directories on different file systems

-t, --threshold <SIZE>
    exclude entries smaller than SIZE if positive, or entries greater than SIZE if negative

-v, --verbose
    verbose mode (option not present in GNU/Coreutils)

--exclude <PATTERN>
    exclude files that match PATTERN

-X, --exclude-from <FILE>
    exclude files that match any pattern in FILE

--files0-from <FILE>
    summarize device usage of the NUL-terminated file names specified in file F; if F is -, then read names from standard input

--time[=<WORD>...]
    show time of the last modification of any file in the directory, or any of its subdirectories. If WORD is given, show time as WORD instead of modification time: atime, access, use, ctime, status, birth or creation
    [possible values: atime, ctime, creation]

--time-style <STYLE>
    show times using style STYLE: full-iso, long-iso, iso, +FORMAT FORMAT is interpreted like 'date'

-V, --version
    Print version

EXTRA
Examples List the sizes of a directory and any subdirectories, in the given unit (B/KiB/MiB): du -{{b|k|m}} {{path/to/directory}} List the sizes of a directory and any subdirectories, in human-readable form (i.e. auto-selecting the appropriate unit for each size): du {{[-h|--human-readable]}} {{path/to/directory}} Show the size of a single directory, in human-readable units: du {{[-sh|--summarize --human-readable]}} {{path/to/directory}} List the human-readable sizes of a directory and of all the files and directories within it: du {{[-ah|--all --human-readable]}} {{path/to/directory}} List the human-readable sizes of a directory and any subdirectories, up to `n` levels deep: du {{[-h|--human-readable]}} {{[-d|--max-depth]}} {{n}} {{path/to/directory}} List the human-readable size of all `.jpg` files in current directory, and show a cumulative total at the end: du {{[-ch|--total --human-readable]}} *.jpg List all files and directories (including hidden ones) above a certain threshold size (useful for investigating what is actually taking up the space): du {{[-ah|--all --human-readable]}} {{[-t|--threshold]}} {{1G|1024M|1048576K}} .[^.]* * > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0